body {
  overflow: hidden;
}
.spinner {
  margin: 350px auto;
  width: 50px;
  height: 40px;
  text-align: center;
  font-size: 10px;
}

.spinner > div {
  background-color: #fff;
  height: 100%;
  width: 6px;
  display: inline-block;
  
  -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
  animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.spinner .rect3 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

.spinner .rect4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinner .rect5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
  0%, 40%, 100% { -webkit-transform: scaleY(0.4) }  
  20% { -webkit-transform: scaleY(1.0) }
}

@keyframes sk-stretchdelay {
  0%, 40%, 100% { 
    transform: scaleY(0.4);
    -webkit-transform: scaleY(0.4);
  }  20% { 
    transform: scaleY(1.0);
    -webkit-transform: scaleY(1.0);
  }
}
.interface {
  background-image: url(../img/intro-bg.jpg);
  background-size: 100% 100%;
  background-attachment: fixed;
  background-position: center center;
  height: 100vh;
}
.interface .overlay {
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
}
.navbar-brand {
  color: #fff !important;
  font-size: 25px;
  font-weight: bold;
}
.navbar-toggler {
  background-color: #fff !important;
}
.nav-link {
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  position: relative !important;
}
.nav-link::after {
  content: "";
  position: absolute !important;
  top: 40px;
  left: 15px;
  background-color: #fff;
  width: 0;
  height: 3px;
  transition: all 0.5s;
}
#navbar {
  transition: all 1s;
}
.nav-link:hover::after{
  width: 40px;
}
.intro {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
  color: #fff;
}
.intro h1 {
  font-size: 5rem;
}
.intro p {
  font-size: 2rem;
}
main {
  padding-top: 1rem;
  background-color: #eee;
  overflow: hidden;
}
main .about {
  background-color: #fff;
  height: 80%;
  margin: auto;
  box-shadow: 3px 2px #aaa;
  border-radius: 4px;
}
#buutonUp {
  position: fixed;
  background-color: #0078ff;
  color: #fff;
  border-radius: 50%;
  height: 40px;
  width: 40px;
  z-index: 5555;
  text-align: center;
  line-height: 2;
  right: 15px;
  bottom: 15px;
  display: none;
  transition: all 2s;

}
main .about .about-left .image {
  padding-bottom: 2rem;
}
main .about .about-left .image img{
  border-radius: 4px;
  width: 100%;
}
main .about .about-left .details span {
  font-weight: 500;
  font-size: 1rem;
}
.skills .f-right {
  float: right;
}
.skills .skill {
  padding-bottom: 1rem;
}
.progress {
  background-color: #cde1f8;
}
main .about .about-right {
  overflow: hidden;
}
main .about .about-right h1 {
  position: relative;
  padding-bottom: 2rem;
}
main .about .about-right h1::after {
  content: "";
  position: absolute;
  top: 55px;
  left: 0px;
  background-color: #007bff ;
  width: 130px;
  height: 3px;
}
main .about .about-right p {
  font-size: 20px;
  color: #888;
}
.services h1{
    font-size: 3rem;       
    font-weight: bold;
}
.services .line {
    width: 40px;
    height: 4px;
    background-color: #007bff;
    margin: 0 auto;
}
.parent-card {
    border: 1px solid transparent;
    border-radius: 25px;
    box-shadow: 2px 3px 5px #ccc;
    background-color: #fff;
}
.parent-card .fas {
    border: 10px solid #007bff;
    border-radius: 50%;
    transition: all 0.5s;
    font-size: 45px;
    padding: 1.8rem;
}
.parent-card .fas:hover {
    border-color: #cde1f8;
    background-color: #007bff;
    color: #fff;
}
.work .row {
  margin-right: 0;
}
.work {
    background-image: url(../img/counters-bg.jpg);
    background-size: cover;
    background-attachment: fixed;
    background-position: center center;
    color: #fff;
    position: relative;
}
.work .overs {
  background-color: #0078ff;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0.7;
  height: 100%;
  width: 100%;
}
.work .fas {
  border: 10px solid #cde1f8;
  border-radius: 50%;
  padding: 15px;
  font-size: 30px;
  text-align: center;
}
.portfolio {
    background-color: #eee;
}
.portfolio .designs .card-box{
    box-shadow: 5px -2px 5px #ddd;
}
.portfolio .designs .work-images {
    overflow: hidden;
}
.portfolio .designs .work-images img {
    max-width: 100%;
    height: auto;
    transition: all 1s;
}
.portfolio .designs .work-images:hover img {
    transform: scale(1.2);
}
.portfolio .designs .work-content {
    background-color: #fff;
}
.portfolio .designs a {
    text-decoration: none;
    color: #000;
}
.portfolio .designs p {
    font-size: 18px;
    font-weight: 600
}
.portfolio .designs span {
    color: #007bff;
}
.portfolio .designs h6 {
    font-size: 14px;
}
.designs .fas {
    font-size: 25px;
}
.team {
    background-image: url(../img/overlay-bg.jpg);
    background-size: 100% 100%;
    background-attachment: fixed;
    background-position: center center;
    position: relative;
    padding: 8rem 0;
}
.team .overfly {
    height: 100%;
    width: 100%;
    background-color: rgb(10,107,215);
    opacity: 0.7;
    position: absolute;
    top: 0;
    left: 0;
}
.team li {
  border: 2px solid #fff;
  background-color: #fff;
  width: 2%;
}
.team-work-data {
    width: 50%;
    margin: auto;
}
.team-image img {
    border-radius: 50%;
}
.team-data h4 {
    color: #fff;
}
.team-data p {
    font-size: 18px;
    color: #fff;
}
.team-data p .fas {
  font-size: 28px;
  color: #0078ff;
  background-color: #fff;
  border: 2px solid transparent;
  border-radius: 50%;
  padding: 10px;
}
.card {
    box-shadow: 0 0 5px;
}
.card-body {
    position: relative;
}
.card-body .card-box {
    position: absolute;
    top: -16px;
    left: 15px;
    right: 15px;
    text-align: center;
    overflow: hidden;
    line-height: 25px;
}
.card-body .card-box .box-back {
    display: inline-block;
    background-color: #0078ff;
    color: #fff;
    border-radius: 4px;
    padding: 3px 10px;
}
.post-1 {
    font-size: 0.7rem;
    padding: 5px;
    margin-bottom: 0;
}
.card-title a {
    color: #000;
    text-decoration: none;
    transition: all 1s;
}
.card-title a:hover   {
    color: rgb(10,107,215);
}
.text-muted {
    display: inline-block;
    float: right;
    color: #4e4e4e;
}
.aurthor-data {
    display: inline-block;
}
.aurthor-data .image-icon {
    width: 30px;
    border-radius: 50%;
    display: inline-block;
}
.aurthor-data h6 {
    display: inline-block;
}
.aurthor-data a {
    color: #000;
    text-decoration: none;
    transition: all 1s;
}
.aurthor-data a:hover   {
    color: rgb(10,107,215);
}
.message {
    background-image: url(../img/overlay-bg.jpg);
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
    position: relative;
}
.message .over {
    height: 100%;
    width: 100%;
    background-color: rgb(10,107,215);
    opacity: 0.7;
    position: absolute;
    top: 0;
    left: 0;
}
.white-back {
    background-color: #fff;
    position: relative;
    top: 0;
    left: 0;
    display: flex
}
.title .line {
    width: 100px;
    height: 4px;
    background-color: #007bff;
}
.btn-lg {
    padding: 1rem 2rem;
}
.btn {
    border-radius: 50px;
    transition: all 1s;
    border: 1px solid transparent;
}
.btn-a {
    background-color: #007bff;
    color: #fff;
    border-color: #cde1f8; 
}
.btn-a:hover {
    box-shadow: 0 0 0 6px #cde1f8;
}
.message p {
    font-size: 18px;
    line-height: 1.7;
    color: #4e4e4e;
}
.contact-info h6 {
  font-size: 14px;
}
.contact-info .fas {
  color: #007bff;
}
.message .contact-tools {
  float: left;
}
.message .contact-tools i{
  border: 2px solid #007bff;
  border-radius: 50%;
  padding: .6rem .7rem;
  font-size: 16px;
  transition: all 1s;
}
.message .contact-tools i:hover {
  color: #fff;
  background-color: #007bff;
  box-shadow: 0 0 0 3px #cde1f8;
}
.footer .row {
    margin-right: 0;
}
.footer p {
    color: #fff;
    font-size: 16px;
}
.footer p span {
    color: rgb(255,128,192);
    font-size: 16px;
    font-weight: 500;
    text-shadow: 0 0 4px #000;
}
.footer .contact-tools {
    width: 80%;
    float: left;
    margin: auto;
}
.footer p i{
  border: 2px solid #007bff;
  border-radius: 50%;
  padding: .6rem .7rem;
  font-size: 16px;
  transition: all 1s;
  color: #000;
  background-color: #fff;
}
.footer p i:hover {
  color: #fff;
  background-color: #007bff;
  box-shadow: 0 0 0 3px #cde1f8;
}

#options {
  position: fixed;
  top: 150px;
  left: 0;
  z-index: 999999;
}
.color-box {
  border: 3px solid #eef105;
  padding: 10px;
  float: left;
  background-color: #999;
  position: relative;
  
}
#options i {
  background-color: #eef105;
  float: right;
  font-size: 20px ;
  color: #00f;
  cursor: pointer;
  padding: 5px;
}
#options img {
  width: 40px;
  height: 40px;
  cursor: pointer;
}
.color-box .color-item {
width: 25px;
height: 25px;
background-color: #09c;
display: inline-block;
cursor: pointer;
}
#loading {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #000;
  z-index: 9999999999;
}

.footing
{
  height: 70vh;
  background: linear-gradient(90deg , #b06afe , #40a6ff);
}
.side-header
{
  background-image: url(../img/sphere.png);
  background-size: cover;
}



@media(max-width:768px) {
  .intro h1 {
    font-size: 3rem;
  }
  .intro p {
    font-size: 1.25rem;
  }  
}
